<?php

namespace Litecms\Property\Policies;

use Litecms\Property\Models\ListingCategory;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait ListingCategoryAction
{

    /**
     * Determine if the given user can copy the given listing_category.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function copy(Authenticatable $user, ListingCategory $listing_category)
    {

        if ($authUser->canDo('property.listing_category.action.copy')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can empty the given listing_category.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    function empty(Authenticatable $user, ListingCategory $listing_category) {

        if ($authUser->canDo('property.listing_category.action.empty')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can transfer the given listing_category.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function transfer(Authenticatable $user, ListingCategory $listing_category)
    {

        if ($authUser->canDo('property.listing_category.action.transfer')) {
            return true;
        }

        $this->model->is_owner;
    }

}
