<?php

namespace Litecms\Property\Policies;

use Illuminate\Foundation\Auth\User as Authenticatable;

trait PropertyExim
{

    /**
     * Determine if the given user can approve the given property.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function import(Authenticatable $user)
    {
        if ($user->canDo('property.property.import')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given property.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function export(Authenticatable $user)
    {
        if ($user->canDo('property.property.export')) {
            return true;
        }

        return false;
    }
}
